/* variables declared here - these are the colors for our pages, as well as the font stacks and sizes. */
:root {
    --black: #171321;
    --dkblue: #0d314b;
    --plum: #4b0d49;
    --hotmag: #ff17e4;
    --magenta: #e310cb;
    --aqua: #86fbfb;
    --white: #f7f8fa;
    --font-size: 1.3rem;
    --mono: "Oxygen mono", monospace;
    --sans: Oxygen, sans-serif;
}
/* border box model: https://css-tricks.com/box-sizing/ */
html {
    box-sizing: border-box;
}
*,
*::before,
*::after {
    box-sizing: inherit;
}
/* generic styles for the page */
body {
    padding: 0;
    margin: 0;
    font-family: var(--sans);
    background-color: var(--black);
    color: var(--white);
    font-size: var(--font-size);
}
h1,
h2,
h3 {
    margin: 0;
}
a {
    color: var(--magenta);
}

a:hover {
    color: var(--hotmag);
    text-decoration: none;
}
/* intro styles */
#intro {
    padding-bottom: 10rem;
}

#intro p {
    font-size: 1rem;
    line-height: 1.5;
}

#intro .name {
    font-family: var(--mono);
    font-size: 1rem;
}

.name span {
    font-family: var(--sans);
    font-size: 4rem;
    color: var(--aqua);
    display: block;
    font-weight: 300;
}

#intro h2 {
    font-size: 4rem;
}

/* contact section */

#contact {
    width: 400px;
    text-align: center;
    margin: 0 auto;
    padding: 3rem 0;
}

#contact p:last-child {
    margin-top: 3rem;
}

/* navigation */
nav {
    font-family: var(--mono);
    font-size: 80%;
    padding: 1rem;
}

nav h1 a {
    font-family: var(--sans);
}

nav ul {
    margin: 0;
    padding: 0;
    list-style-type: none;
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: center;
    gap: 2rem;
}

nav li:first-child {
    flex-basis: 100%;
    text-align: center;
}

nav [class*="fa-"] {
    font-size: 150%;
    color: var(--aqua);
}
nav h1 [class*="fa-"] {
    font-size: 100%;
    color: var(--aqua);
}

nav a {
    color: white;
    text-decoration: none;
    display: block;
}

nav a:hover,
nav [class*="fa-"]:hover {
    color: var(--magenta);
}


